Loading...
Searching...
No Matches
BALL::CHPI::CHGroup Class Reference

`#include <BALL/SCORING/COMPONENTS/CHPI.h>`

## Public Member Functions

| CHGroup ()
| ~CHGroup ()
| CHGroup (const CHGroup &CH_groups)
| CHGroup (const Atom *C_atom, const Atom *H_atom)
void | setCAtom (const Atom *C_atom)
void | setHAtom (const Atom *H_atom)
void | setAtoms (const Atom *C_atom, const Atom *H_atom)
const Atom * | getHAtom () const
const Atom * | getCAtom () const
void | dump (std::ostream &s=std::cout) const

## Detailed Description

A class for storing aliphatic CH groups suitable for building CH-\pi interactions with aromatic rings.

Definition at line 74 of file CHPI.h.

## Constructor & Destructor Documentation

## CHGroup() [1/3]

BALL::CHPI::CHGroup::CHGroup | ( |  | ) |

## ~CHGroup()

BALL::CHPI::CHGroup::~CHGroup | ( |  | ) |

## CHGroup() [2/3]

BALL::CHPI::CHGroup::CHGroup | ( | const CHGroup & | CH_groups | ) |

## CHGroup() [3/3]

BALL::CHPI::CHGroup::CHGroup | ( | const Atom * | C_atom,
|  | const Atom * | H_atom )

## Member Function Documentation

## dump()

void BALL::CHPI::CHGroup::dump | ( | std::ostream & | s = std::cout | ) | const

## getCAtom()

const Atom * BALL::CHPI::CHGroup::getCAtom | ( |  | ) | const

inline

Definition at line 105 of file CHPI.h.

## getHAtom()

const Atom * BALL::CHPI::CHGroup::getHAtom | ( |  | ) | const

inline

Definition at line 99 of file CHPI.h.

## setAtoms()

void BALL::CHPI::CHGroup::setAtoms | ( | const Atom * | C_atom,
|  | const Atom * | H_atom )

## setCAtom()

void BALL::CHPI::CHGroup::setCAtom | ( | const Atom * | C_atom | ) |

## setHAtom()

void BALL::CHPI::CHGroup::setHAtom | ( | const Atom * | H_atom | ) |